From bdf32b9cf9fcacffaddf2e21c7873c8eee670dd6 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:14:49 +0000
Subject: [PATCH 513/1001] Use the test db instead of relying on the one from the populate script


---

diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index 47a6eca..e787c68 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -8,8 +8,6 @@ fedmsg_config = fedmsg.config.load_config()
 
 class ModelTest(hubs.tests.APPTest):
     def test_delete_user(self):
-        self.session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
-
         # verify user exists
         username = 'ralph'
         user = hubs.models.User.get(self.session, username)
@@ -32,11 +30,9 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets still are intact
         widgets = hubs.models.Widget.by_hub_id_all(self.session, hub.name)
-        self.assertEqual(8, len(widgets))
+        self.assertEqual(11, len(widgets))
 
     def test_delete_hubs(self):
-        self.session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
-
         # verify the hub exists
         hub_name = 'ralph'
         hub = hubs.models.Hub.get(self.session, hub_name)
@@ -50,7 +46,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets exist
         widgets = hubs.models.Widget.by_hub_id_all(self.session, hub.name)
-        self.assertEqual(8, len(widgets))
+        self.assertEqual(11, len(widgets))
 
         # delete the hub
         self.session.delete(hub)
@@ -73,7 +69,6 @@ class ModelTest(hubs.tests.APPTest):
         self.assertEqual('ralph', user.username)
 
     def test_delete_user_then_hubs(self):
-        self.session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
         username = 'ralph'
         user = hubs.models.User.get(self.session, username)
         self.assertIsNotNone(user)

